Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZObjectForwarder Class Reference

The class eZObjectForwarder does. More...

## Public Member Functions
| __construct ( $rules)
| functionList ()
| functionTemplateHints ()
| templateNodeTransformation ( $functionName, &$node, $tpl, $parameters, $privateData)
| resourceAcquisitionTransformation ( $functionName, &$node, $rule, $inputData, $outputName, $namespaceValue, $templateRoot, $viewDir, $viewValue, $matchFileArray, $acquisitionSpacing, &$resourceData)
| process ( $tpl, &$textElements, $functionName, $functionChildren, $functionParameters, $functionPlacement, $rootNamespace, $currentNamespace)
| hasChildren ()

## Public Attributes
| $Rules

## Detailed Description

The class eZObjectForwarder does.

Definition at line 17 of file ezobjectforwarder.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZObjectForwarder::__construct | ( |  | $rules | ) |

Constructor

Parameters

  array | $rules |

Definition at line 24 of file ezobjectforwarder.php.

## Member Function Documentation

## ◆ functionList()

eZObjectForwarder::functionList | ( |  | ) |

Definition at line 29 of file ezobjectforwarder.php.

## ◆ functionTemplateHints()

eZObjectForwarder::functionTemplateHints | ( |  | ) |

Definition at line 34 of file ezobjectforwarder.php.

## ◆ hasChildren()

eZObjectForwarder::hasChildren | ( |  | ) |

Definition at line 805 of file ezobjectforwarder.php.

## ◆ process()

eZObjectForwarder::process | ( |  | $tpl,
|  | & | $textElements,
|  |  | $functionName,
|  |  | $functionChildren,
|  |  | $functionParameters,
|  |  | $functionPlacement,
|  |  | $rootNamespace,
|  |  | $currentNamespace
| ) |  |

Definition at line 577 of file ezobjectforwarder.php.

## ◆ resourceAcquisitionTransformation()

eZObjectForwarder::resourceAcquisitionTransformation | ( |  | $functionName,
|  | & | $node,
|  |  | $rule,
|  |  | $inputData,
|  |  | $outputName,
|  |  | $namespaceValue,
|  |  | $templateRoot,
|  |  | $viewDir,
|  |  | $viewValue,
|  |  | $matchFileArray,
|  |  | $acquisitionSpacing,
|  | & | $resourceData
| ) |  |

Definition at line 212 of file ezobjectforwarder.php.

References eZTemplateNodeTool\createAttributeLookupElement(), eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createErrorNode(), eZTemplateNodeTool\createResourceAcquisitionNode(), eZTemplateNodeTool\createSpacingDecreaseNode(), eZTemplateNodeTool\createSpacingIncreaseNode(), eZTemplateNodeTool\createVariableElement(), eZTemplateNodeTool\createVariableNode(), eZTemplateNodeTool\createVariableUnsetNode(), eZTemplateNodeTool\extractFunctionNodePlacement(), eZTemplate\NAMESPACE_SCOPE_RELATIVE, and eZTemplate\RESOURCE_FETCH.

Referenced by templateNodeTransformation().

## ◆ templateNodeTransformation()

eZObjectForwarder::templateNodeTransformation | ( |  | $functionName,
|  | & | $node,
|  |  | $tpl,
|  |  | $parameters,
|  |  | $privateData
| ) |  |

Definition at line 48 of file ezobjectforwarder.php.

References eZTemplateNodeTool\createAttributeLookupElement(), eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createVariableElement(), eZTemplateNodeTool\createVariableNode(), eZTemplateNodeTool\createVariableUnsetNode(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\extractFunctionNodeParameters(), eZTemplateNodeTool\isConstantElement(), eZTemplate\NAMESPACE_SCOPE_RELATIVE, eZTemplateDesignResource\overrideArray(), and resourceAcquisitionTransformation().

## Member Data Documentation

## ◆ $Rules

eZObjectForwarder::$Rules

Definition at line 810 of file ezobjectforwarder.php.

The documentation for this class was generated from the following file:

- ezobjectforwarder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.